#include "clustions.h"

extern "C" {

#include "clustions_ext.h"

  void Enduce::clu_setThresholds(int *thlen, double *thres, int *state)
  {
    state[0] = 0;
    if (1 == *thlen) {
      bool rv = Enduce::clu->thresholds(thres[0]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::clu_getThresholds(int *thlen, double *thres, int *state)
  {
    int rv = Enduce::clu->thresholds(*thlen, thres);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::clu_setLimits(int *limlen, int *limits, int *state)
  {
    state[0] = 0;
    if (1 == *limlen) {
      bool rv = Enduce::clu->setLimits(limits[0]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::clu_getLimits(int *limlen, int *limits, int *state)
  {
    int rv = Enduce::clu->getLimits(*limlen, limits);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::clu_cluster(double *centers, double *datamatrix, int *sizes, int *grains,
    double *simils, int *info, int *state)
  {
    bool rv = Enduce::clu->cluster(centers, datamatrix, sizes, grains, simils, info);
    if (rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::clu_cluster2(double *centers, double *datamatrix, int *sizes, int *grainsneg, int *grainspos,
    double *similsneg, double *similspos, int *info, int *state)
  {
    bool rv = Enduce::clu->cluster(centers, datamatrix, sizes, grainsneg, grainspos, similsneg, similspos, info);
    if (rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

}

