#!/usr/bin/env Rscript

dyn.load(paste("libenduce", .Platform$dynlib.ext, sep=""))
source(paste("rbinds", "contifiers.R", sep=.Platform$file.sep))

vecx <- c(0.7, 0.6, 0.2, 0.3)
vecy <- c(0.1, 0.5, 0.4, 0.8)

thresh <- c(0.001)
thresh.set <- contifiers.thresholds(thresh)$thr


types <- c("dir", "pro")
types.set <- contifiers.modes(types)

print(list(settings=paste("threshold: ", thresh.set, ", directionality: ", types.set$dir, ", aggregation: residuum of ", types.set$agg, sep="")))

contifiers.aggregate(vecx, vecy)


types <- c("mut", "pro")
types.set <- contifiers.modes(types)

print(list(settings=paste("threshold: ", thresh.set, ", directionality: ", types.set$dir, ", aggregation: residuum of ", types.set$agg, sep="")))

contifiers.aggregate(vecx, vecy)


