#include "contifiers.h"

extern "C" {

#include "contifiers_ext.h"

  void Enduce::con_setThresholds(int *thlen, double *thres, int *state)
  {
    state[0] = 0;
    if (1 == *thlen) {
      bool rv = Enduce::con->thresholds(thres[0]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::con_getThresholds(int *thlen, double *thres, int *state)
  {
    int rv = Enduce::con->thresholds(*thlen, thres);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::con_setModes(int *mdlen, int *modes, int *state)
  {
    state[0] = 0;
    if (2 == *mdlen) {
      bool rv = Enduce::con->setModes(modes[0], modes[1]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::con_getModes(int *mdlen, int *modes, int *state)
  {
    int rv = Enduce::con->getModes(*mdlen, modes);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::con_aggregate (int *len, double *vecx, double *vecy, double *res, int *state)
  {
    bool rv = Enduce::con->aggregate(*len, vecx, vecy, res);
    if (rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

}


