#include "dinorms.h"

extern "C" {

#include "dinorms_ext.h"

  void Enduce::din_setThresholds(int *thlen, double *thres, int *state)
  {
    state[0] = 0;
    if (2 == *thlen) {
      bool rv = Enduce::din->thresholds(thres[0], thres[1]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::din_getThresholds(int *thlen, double *thres, int *state)
  {
    int rv = Enduce::din->thresholds(*thlen, thres);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::din_setModes(int *mdlen, int *modes, int *state)
  {
    state[0] = 0;
    if (2 == *mdlen) {
      bool rv = Enduce::din->setModes(modes[0], modes[1]);
      if (rv) {
        state[0] = 1;
      }
    }

  }

  void Enduce::din_getModes(int *mdlen, int *modes, int *state)
  {
    int rv = Enduce::din->getModes(*mdlen, modes);
    if (1 == rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

  void Enduce::din_aggregate (int *len, double *vec, double *res, int *state)
  {
    bool rv = Enduce::din->aggregate(*len, vec, res);
    if (rv) {
      state[0] = 1;
    }
    else {
      state[0] = 0;
    }

  }

}


